<?php
/*
APPLICATION ATELIERPHP-e-signets - version 4.0
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require_once("../admin/variables.php");
require_once("../fonctions/fonction_mysql_die.php");
if (isset($_SESSION['utilisateur']) and ($_SESSION['utilisateur'] == $curDir))
{
  ?>
  <html>
  <head>
  <title>e-signets version <?php echo $version ?> Administration des signets</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <META http-equiv="Content-Language" content="fr">
  <LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
  </head>
  <body>
  <blockquote><center>
  <h3><big>e-signets : </big>Menu de gestion courante des signets 
  		<a href=../aide.html> <small>(Aide)</small></a>
  		<a href="../signets_lire/signets_lire.php?favoris=1"><small>Retour</small></a></h3>
  </center>
  <table><tr><td  valign=top rowspan=2><big>1_Gestion des signets</big>
    <table cellpadding=1 cellpadding=0 width=100% bgcolor = #FFFED1><tr><th colspan=4 >1_1Opérations de base</th></tr>
      <TR><th>Groupes</th><td><a href=../signets_ajout/ajout_groupe.php>Ajouter</td>
          <td><a href="../signets_modif/modif_groupe.php">Modifier</td>
          <td><a href="../signets_efface/efface_groupe.php">Supprimer</td>
          <td><a href="../signets_lire/liste_categories.php?tri=groupes">Liste/groupes</td></tr>
      <TR><th>Categories</th><td><a href=../signets_ajout/ajout_categorie.php>Ajouter</td>
          <td><a href="../signets_modif/modif_categorie.php">Modifier</td>
          <td><a href="../signets_efface/efface_categorie.php">Supprimer</td>
          <td><a href="../signets_lire/liste_categories.php?tri=categories">Liste/categ</td></tr>
      <TR><th>Sous-categories</th><td><a href=../signets_ajout/ajout_sous_categorie.php>Ajouter</td>
          <td><a href="../signets_modif/modif_sous_categorie.php">Modifier</td>
          <td><a href="../signets_efface/efface_sous_categorie.php">Supprimer</td>
          <td><a href="../signets_lire/liste_categories.php?tri=sous-categories">Liste/sous-categ</td></tr>
      <TR><th>
          <a href="../signets_lire/signets_lire.php?favoris=1">Signets</a></th><td><a href=../signets_ajout/ajout_signet_1.php>Ajouter</a>&nbsp;<a href=../aide.html#_rajouter>(?)</a></td>
          <td colspan=2><a href=../signets_lire/signets_lire.php?favoris=1>Modifier/Supprimer</a>&nbsp;<a href=../aide.html#_mode_administration>(?)</a></td>
          <td><a href=../signets_lire/liste_signets.php>Liste</a>&nbsp;<a href=../aide.html#_lecture>(?)</a></td></tr>        
  
      <tr><td>&nbsp;</td></tr>
  	  <tr class=dark><th colspan=5>1_2_Déplacer des signets dans la base</th></tr>  
      <tr class=dark><td colspan=5><a href=../signets_modif/modif_categorie_groupe.php>Passer une catégorie d'un groupe à un autre</a></td></tr>
  	  <tr class=dark><td colspan=5><a href=../signets_modif/modif_signet_categorie.php>Passer tous les signets d'une catégorie dans une autre</a></td></tr>
      <tr><td>&nbsp;</td></tr>
      <tr><th colspan=5>1_3_Autres opérations sur les signets :</th></tr>
  	  <tr><td colspan=5><a href=signets_favoris.php>Choix des favoris, modifier/supprimer un signet</a></td></tr>
  	  <tr><td colspan=5><a href=signets_hibernation.php>Gestion des signets en hibernation (hors catégorie) </a></td></tr>
  	  <!--<tr><td colspan=5><a href=validate_url.php>Valider les signets soumis</a></td></tr> -->
      <tr><td>&nbsp;</td></tr>
      <tr class=dark><th colspan=5 >1_4_Validité des signets <a href=../aide.html#_validité>(?)</a></th></tr>
  	  <tr class=dark><td colspan=5 ><a href=verif_url_2.php>Vérifier les liens actifs(peut durer plusieurs heures)</a></td></tr>
  	</table></td>
  <td valign=top><big>2_Outils d'importation/Exportation</big>
    <table cellspacing=2 cellpadding=0 width=100%  bgcolor =  #FFFED1>
  	  <tr class=dark><th>2_1_Import/export des signets vers navigateur<a href=../aide.html#_navigateurs> (?)</a></th></tr>
      <tr class=dark><td><a href=../import_export/import.php>Charger les signets de Firefox ou d'Internet Explorer</a>  </td></tr>
  	  <!--<tr class=dark><td><a href=../import_export/load_firefox_bm.php5>Charger les signets de Firefox avec fichier xml </a><a href=../import_export/load_xml_readme.php>(?)</a></td></tr>-->
      <tr class=dark><td><a href=../import_export/export.php>Exporter vers un fichier .html pour Firefox ou I.E.</a>  <a href=</a></td></tr>

  
      <tr><td>&nbsp;</td></tr>
      <tr><td bgcolor=white><big>3_Paramétrage et maintenance</big></td></tr>
      <tr class=dark ><th colspan=6>3_1_Options d'affichage, skins <a href=../aide.html#_graphisme>(?)</a></th></tr>
      <tr class=dark><td colspan=6 ><a href=../installation/titres.php>Titre, couleurs, disposition d'affichage </a></td></tr>
  	  <tr class=dark><td colspan=6 ><a href=../styles/colonne_groupe.php>Disposition des colonnes</a></td></tr>
      <tr><td>&nbsp;</td></tr>
      <tr><th colspan=6 >3_2_Maintenance </th></tr>
  	  <tr><td colspan=6 ><a href=../documentation/documentation.php>Documentation</a></td></tr>
  	  <tr><td colspan=6 ><a href="admin_form.php?admin_param=admin?admin_param=$curDir">Menu administration</a></td></tr>
  	  <tr><td colspan=6 ><a href=../admin/recents.php>Liste par date de soumission</a></td></tr>
      <tr><td>&nbsp;</td></tr>    
  	</table></td></tr>
  </table>
<?php
}
else
{
		header("Location: admin_form.php");
		exit();
}
require ("../pied_de_page/pied_de_page.php");
?>
</body></html>
