<?php
/*
APPLICATION ATELIERPHP-e-signets - version 4.0	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php");
require("../fonctions/fonction_mysql_die.php");
include("../classes/ajout_groupe_classe_validation.php");
require("../fonctions/fonction_ajout_categorie.php");
?>
<HTML><HEAD>
<title>e-signets version <?php echo $version ?> Création d'une nouvelle catégorie</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<META http-equiv="Content-Language" content="fr">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
</HEAD>
<BODY>
<?php
// inclusion de la classe class
// création d'un object: instanciation de la classe
$objValidation = new FormValidation_class();
// validation de chaque champ

//catégorie
$objValidation->verif_categorie_1("Categorie", 
"Il ne peut y avoir deux catégories portant le même nom dans la base",$_POST['category_name']); 
$flag_categorie = false;

$objValidation->verif_categorie_2("Categorie", 
"Cette valeur ne peut être vide",$_POST['category_name']); 
$flag_categorie = false;

//groupe id
$objValidation->verif_group_id("Groupe", 
"Cette valeur ne peut être vide",$_POST['group_id']); 
$flag_categorie = false;



if ($objValidation->isError())
{
    $errors = $objValidation->_errorList;
    echo "<b>L'opération n'a pas pu être effectuée : ";
    echo "<ul>";
    foreach ($errors as $e)   
    {
        echo "<li> La valeur du champ <b>" .'"'. 
        $e['field']."</b>".'"'." que vous avez saisi (".
        $e['value'].") n'est pas valide :".$e['msg']."<p>";            
        ($e['field'] == "nom")?$flag_nom = true : print "";
        ($e['field']=="prenom")?$flag_prenom=true:print "";
    }   
    echo "</ul>";
    require("../fonctions/fonction_ajout_categorie_form.php");
    add_categ_form($_POST['group_id'], 
							      $_POST['category_name'], 
							      $_POST['category_description']);
}
else
{
    // traitement des données
    	$group_id = $_POST['group_id'];
			$category_name = ($_POST['category_name']);
			$category_description = ($_POST['category_description']);
			create_categ($group_id, $category_name, $category_description  );
			echo "<br /><a href=../admin/admin_utilisateur.php>Retour menu utilisateur</a><br />";
}
require ("../pied_de_page/pied_de_page.php");
?>
