/*
APPLICATION ATELIERPHP-e-signets - version 4.0	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php"); 
?>
<html>
<head>
<title>e-signets version <?php  echo $version ?> Aide à l'importation de signets Firefox</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<META http-equiv="Content-Language" content="fr">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
</head>
<body>
<h4>Mode d'emploi de l'utilitaire de récupération des signets de Firefox par un fichier XML</h4>
Cet utilitaire fonctionne uniquement pour les signets de Firefox (vous pouvez toujours passer les signets 
d'Internet Explorer à Firefox en important dans firefox les signets exportés par Internet Explorer) 
et est à utiliser si l'importation du menu précédent n'a pas fonctionné (Problèmes d'accents, MAC, ...)<br />
Le programme est conçu pour lire le fichier créé à l'aide de l'extension 'Bookmaks synchronizer' (Bookmark Sync and Sort) 
du navigateur Firefox à télécharger sur <a href=https://addons.mozilla.org/fr/firefox/addon/2367>https://addons.mozilla.org/fr/firefox/addon/2367</a>
Le plus pratique est d'utiliser le compte FTP fourni par son fournisseur d'accès à Internet.<br>
Une fois l'option chargée, aller dans : <ol>
<li>outils </li>
<li> extensions </li>
<li> clic sur "bookmark synchronize" </li> 
<li> options : on doit obtenir un écran du genre de celui ci-après : <p><center>
<img src = "bookmark_sync.jpg"></center>
<li> Saisir les champs indiqués, cliquer sur "upload" :</li>
<li> le fichier xbel.xml doit se trouver sur votre espace FTP, il vous faut alors le rapatrier dans le dossier "xml"</li>
</ol>

<big>Notes :</big> <ul>
<li>Le programme ne supporte qu'un seul niveau de regroupement : <ul>
  <li>Il crée une catégorie par dossier et rassemble tous les sous-dossiers dans le dossier de premier niveau </li>
  <li>Les favoris hors dossiers sont mis dans une catégorie "_Non classés" et sont déclarés "favoris" 
  		dans l'application</li>
  <li>Pour éviter qu'il y ait des noms de catégories identiques à celle existant déjŕ, les noms de catégories 
  		issues de Firefox sont précédées du point d'exclamation</li></ul></li>
<li>Par défaut les signets déja dans l'application ne sont pas effacés, si vous voulez les effacer, vous devez aller dans 
"Administration_2" et choisir "effacer tout", avant de réaliser l'importation</li>
<li>Si vous avez déjŕ des signets que vous conservez, vous aurez certainement à réorganiser la pagination des signets
("administration", "groupes", "modifier un groupe") car par défaut les signtes de Firefox iront en première colonne.
<li>Si vous utilisiez internet explorer, firefox vous permet facilement d'importer les signets depuis ce navigateur</li>
</ul>
<?php  require ("../pied_de_page/pied_de_page.php");
?>
