<?php
/*
APPLICATION ATELIERPHP-e-signets - version 3.3	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
/*pour établir la connxion à votre base de données : mettre en commentaire
la ligne suivante, activer les trois lignes qui suivent en saisissant les informations
fournies par votre prestataire pour l'espace internet, ou les informations relatives
à votre serveur mySQL si vous travaillez en local
*/  
$host              = "";  // saisir ici le nom du serveur, exemple : localhost, sql5, ...  
$user              = "";       // saisir ici le nom d'utilisateur pour la base de données (root si en local) 
$pass              = "";           // saisir ici le mot de passe pour l'accès à la base mySQL  
$db                = "";    // saisir ici le nom de la base de données mySQL        
if (!isset($mysqli))  {
	global $mysqli ;
	$mysqli = new mysqli($host,$user,$pass,$db);
	class foo_mysqli extends mysqli {
		public function __construct($host, $user, $pass, $db) {
			parent::__construct($host, $user, $pass, $db);

			if (mysqli_connect_error()) {
				die('Erreur de connexion (' . mysqli_connect_errno() . ') '
						. mysqli_connect_error());
			}
		}
	}
}
mysqli_query($mysqli,"SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
//Dans certaines versions de mysql, et avec certaines requetes, ce paramètre (valeur ONLY_FULL_GROUP_BY dans sql_mode) peut poser problème,
// on le retire; cela peut ne pas fonctionner si l'on n'a pas le privilège pour le faire 
mysqli_query($mysqli,"SET GLOBAL sql_mode=(SELECT REPLACE(@@sql_mode,'ONLY_FULL_GROUP_BY',''))");
//
require ("../installation/function_read_passwords.php");
//
require ("../fonctions/fonction_mysql_table_exists.php");
//
read_passwords();
//fichiers texte de sauvegarde des tables 
$url_list_backup_file_name = "../data/e-signets_liste.txt" ;
$category_backup_file_name = "../data/e-signets_categories.txt" ; //e-signets_categories.txt
$titles_backup_file_name = "../data/e-signets_titres.txt" ; //e-signets_categories.txt
require ("../installation/installation_process.php");
?>
