<?php  
/*
APPLICATION ATELIERPHP-e-signets - version 4.0	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
global $mysqli;
require_once("../mysql_connexion/mysql_connexion.php");
require("../admin/variables.php"); 
require("../fonctions/fonction_mysql_die.php");
// on lit les titres 
if (!isset($install_error_var))
{
  $query = "SELECT * FROM $titles_tablename  " ;
  $style = $mysqli->query($query) ;
  $row_style=mysqli_fetch_array($style);
  //si pas d'enregistrement on recharge d'après la sauvegarde
  $nb_records_style = mysqli_num_rows($style);
  if (!$nb_records_style)
  {
		require("../installation/function_restore_titles.php");
		restore_titles($titles_tablename, $titles_backup_file_name);
		$query = "SELECT * FROM $titles_tablename  " ;
		$style = mysqli_query($mysqli,$query) ;
		$row_style=mysqli_fetch_array($style);
  }
  //
  $style_sheet = "e_signets_style_".$row_style["title_style_sheet"].".css";
  $style_disposition = $row_style["title_disposition_page"];
  $row_style['title_image'] == "vide.jpg" ? $title_image = "" : $title_image = $row_style['title_image'];
  ?>
 <html>
<html lang="fr">
 <head>
  <title><?php echo $row_style['title_title']?> (Page construite à partir de l'application e-signets version <?php echo $version?>)</title>
  <META http-equiv="Content-Language" content="fr">
  <META name="lang" content="fr">
  <META name="keywords" content="signets,bookmarks,favoris">
  <META name="description" content="<?php  echo $row_style['title_title']?> (page construite à partir de e-signets.fr : Une application en PHP pour mettre vos signets sur Internet)">
  <META name="rating" content="General">
  <META name="ROBOTS" content="ALL">
  <META name="revisit-after" content="120 days">
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
   <meta charset="UTF-8" />
  <?php 
  // Début affichage de l'en-tête particulier pour l'affichage du groupe et de la catégorie dans <title></title>
  // on regarde si la variable cat_id contient une valeur ou non, si non on lui attribue la valeur '0'
  // on appelle ensuite la fonction en_tete_selon_page()
  isset($_REQUEST['category_id'])?($cat_id = $_REQUEST['category_id']):($cat_id=0) ;
  // La fonction affiche le bon titre et renvoie le contenu du titre pour être utilisé ultérieurement
  en_tete_selon_page($cat_id,$ep_category_tablename);
  // Fin affichage de l'en-tête particulier pour l'affichage du groupe et de la catégorie dans <title></title>
  echo "<LINK rel='stylesheet' href='../styles/$style_sheet' type='text/css'>"; 
  ?>
  </head>
  <body OnLoad='document.recherche.cherche_texte.focus()'; >
  <!-- Affichage du titre et sous titre  -->
  <style type="text/css">
  .table_title {
    background-image:url("../images/images_titre/<?php echo $title_image ?>");
    background-repeat:<?php echo $row_style['title_image_repeat']?>;
    background-position:<?php echo $row_style['title_image_left_right']?>;
    background-color:<?php echo $row_style['title_background_color']?>;
    color:<?php echo $row_style['title_font_color']?>;
	font-family:<?php echo $row_style['title_sub_title_font_name']?>;
	font-size:<?php echo $row_style['title_font_size']?>;
	font-weight:<?php echo $row_style['title_font_bold']?>;
	font-weight:<?php echo $row_style['title_font_bold_2']?>;
	font-style:<?php echo $row_style['title_font_italic']?>;
	text-decoration:<?php echo $row_style['title_font_underline']?>;
	text-align:<?php echo $row_style['title_position']?>;
    }
  .style_sub_title {
    color:<?php echo $row_style['title_font_color']?>;
	font-family:<?php echo $row_style['title_font_name']?>;
	font-size:<?php echo $row_style['title_sub_title_font_size']?>;
	font-weight:<?php echo $row_style['title_sub_title_font_bold']?>;
	font-weight:<?php echo $row_style['title_sub_title_font_bold_2']?>;
	font-style:<?php echo $row_style['title_sub_title_font_italic']?>;
	text-decoration:<?php echo $row_style['title_sub_title_font_underline']?>;
	text-align:<?php echo $row_style['title_sub_title_position']?>;
    }
  </style>
  <table class=table_title width=100%><tr><td>
  <?php
  echo "";
  if (strlen($row_style['title_title']) > 0)
    {
        echo stripslashes($row_style['title_title']);
		//echo $row_style['title_title'];
    }
  echo "</td></tr><tr><td class=style_sub_title>";
  if (strlen($row_style['title_sub_title']) > 0)
    {
        echo "<span class=style_sub_title>".stripslashes($row_style['title_sub_title'])." </span></center>";
    }
  echo "</td></tr></table>";
  ?>
  <!-- *********************Début de la table principale************************************-->
  <!--Début menu de la page	-->
  <?php 
  tableau_menu($title_short);
  ?>
  <table cellspacing=0 border=0><tr><td valign=top>
  <?php    
  $x=0;
  // Affiche 2 lignes du tableau avec <tr><td></td></tr>
  // qui se trouve dans la cellule de gauche du tableau principal
  switch ($style_disposition)
  {
      case 'tableau':
  		affichage_des_categories_a($ep_category_tablename,$x,$curDir);
  	break;
      case 'mixte':
    	global $first_group_id;
      echo "<tr><td class='td_groupes' width=100% colspan=5>";
  		affichage_des_groupes_mixte($ep_category_tablename,$curDir);
  		echo "</td></tr>";
  		echo "<tr><td valign=top width=12%>";
  		echo "<table border=0><tr><td class='td_gauche_principale' width=300>";
  		affichage_des_categories_b($ep_category_tablename);
  		echo "</table></td><td class='td_droite_principale' >";
  	break;
      case 'menu':
      echo "<tr><td>";
  		affichage_des_groupes_menu($ep_category_tablename,$curDir);
  		echo "</td></tr></table>";
  		/*
  		echo "<tr><td valign=top width=12%>";
  		echo "<table border=0><tr><td class='td_gauche_principale' width=300>";
  		//affichage_des_categories_b($ep_category_tablename);
  		echo "</table></td><td class='td_droite_principale' >";
  		*/
  	break;
  }
  ?>
  <!-- début de l'affichage des signets -->
  </td><td class="td_droite_principale" valign=top><table><tr><td>
  <?php 
  affichage_des_signets($ep_url_tablename,$ep_category_tablename,$title_short,$curDir);
  ?>
  </td></tr>
  <!-- après les signets : bas de page coté signets champ de recherche google et logo -->
  <?php 
  footer($curDir);
  ?>
  </td></tr></table></td>
  <!-- fin de l'affichage des signets -->
  </tr></TABLE>
  </BODY>
  </HTML>
  <?php  
}
else
{
  require ("../pied_de_page/pied_de_page.php");
  echo "</BODY></HTML>";
}
//****************** F O N C T I O N S *************************************

function en_tete_selon_page($cat_id_2,$ep_category_tablename_2)
// affichage de l'en-tête particulier pour l'affichage des signets d'une catégorie
{
  global $mysqli;
  require_once("../mysql_connexion/mysql_connexion.php");
  global $title_short;
	if (!$cat_id_2 == 0)
	{                    
		$query = "SELECT * FROM $ep_category_tablename_2 where category_id = '$cat_id_2' " ;
		// On met la ligne de résultats dans un tableau : $tableau 
		$tableau = mysqli_query($mysqli,$query) ;
		$row=mysqli_fetch_array($tableau);
		if ($row['category_sub_category'] == $row['category_category'])
		{
			$title = "Les e-signets, rubrique : ".$row['category_category'];
			$title_short = $row['category_category'];
		}
		else
		{
			$title = "Les e-signets, rubrique : ".$row['category_category']." > ".$row['category_sub_category'];
			$title_short = $row['category_category']." > ".stripslashes($row['category_sub_category']);
		}
		echo "<title>".$title."</title>\n";	
	}
	else
	{
		echo "<title>Les e-signets</title>";
		$title ="Les e-signets";
		$title_short ="Les e-signets";
	}
  isset($_REQUEST['random'])?$title_short="10 signets pris au hasard":print"";
  isset($_REQUEST['recents'])?$title_short="Les 10 derniers signets saisis dans la base":print"";
  isset($_REQUEST['favoris'])?$title_short="Les signets favoris":print"";
  isset($_REQUEST['cherche_texte'])?$title_short="Recherche de '".$_REQUEST['cherche_texte']."' dans les signets:":print"";
	if ((!isset($_REQUEST['category_id']) or isset($_REQUEST['favoris'])) 
			and !isset($_REQUEST['random']) and !isset($_REQUEST['cherche_texte'])
			and !isset($_REQUEST['recents']) )
	{
    $title_short="Les signets favoris";
  }
}

function tableau_menu($title_short)
// Affichage du menu en haut
{
	global $mysqli;
	require_once("../mysql_connexion/mysql_connexion.php");global $rechercher;
	// Un tableau complet
	$current_url = $_SERVER['PHP_SELF'];
	echo "<table cellspacing=0 cellpadding=0>\n<TR>\n";
	echo "<td class='td_menu'><span class='a_menu'><a href=".$current_url."?favoris=1>Favoris</span><br /></a></td>\n";
	// Des signets au hasard
	echo "<td class='td_menu'><span class='a_menu'><a href=".$current_url."?random=1>Hasard</span></a></td>\n";
	// Les signets récents
	echo "<td class='td_menu'><span class='a_menu'><a href=".$current_url."?recents=1>Récents</span></a></td>\n";
	// Champ de recherche interne
	echo "<FORM NAME='recherche'  method='post' ACTION=".$current_url.">\n";
	echo "<TD class='td_input_rechercher'>\n";
	echo "<INPUT class='input_rechercher' name='cherche_texte' type='text' size='12' maxlength='50' >\n";
	echo "</td><td class='td_bouton_rechercher'>\n";
	echo "<BUTTON type='submit'><div class=bouton_rechercher>Rechercher</div><align=left></button>";
	echo "</td></form><td class='td_menu' align=center width=100%><span class='titre_liens'>$title_short</span></td>";
	?>
	<td class='td_menu' width=20><span class='a_menu'>
		<A HREF="","" onClick="window.open('../admin/version_page.php','version_page','toolbar=1,location=0,directories=0,status=0,scrollbars=1,resizable=1,copyhistory=0,menuBar=1,width=480,height=380');return(false)"><b>?</b></A>&nbsp;</td></tr>
	</table>
	<?php 
}

function affichage_des_categories_a($ep_category_tablename,$x,$curDir)
{
	global $mysqli;
	require_once("../mysql_connexion/mysql_connexion.php");	//on se base sur les paramètres des colonnes pour l'ordre d'affichage
	for ($protection=0;$protection<2;$protection++)
	{
		//un tableau pour les publics et un pour les privés ensuite
		echo "<table class='tb_cat'  cellspacing=0><tr>";
		for ($column=1;$column<50;$column++)
		{
			//un tableau pour chaque colonne
  		echo "<td valign=top><table class='tb_cat' cellspacing=0>";
			$result_group = mysqli_query($mysqli,"select * from $ep_category_tablename 
				where category_group_private_flag = $protection
				and category_group_column_number = $column
				GROUP BY category_group_private_flag, category_group, category_group 
		      	order by category_group_private_flag, category_group asc") or mysql_die();
			while($row_group = mysqli_fetch_array($result_group))
			{
				// Affichage d'un tableau
				echo "<tr><td><table class='tb_cat'  cellspacing=1 width=100%>";
				// Le titre de la catégorie dans la première ligne
				echo "<td class='td_cat_titre'>".stripslashes($row_group['category_group']);
				//affichage des categories et sous-categories
				$result_2 = mysqli_query($mysqli,"select * from  $ep_category_tablename 
				where (category_group_id = '$row_group[category_group_id]'
					and category_category != '' 
					and category_category != '---' )
				group by category_category order by category_category ");
				while($row_2 = mysqli_fetch_array($result_2))
				{  //recherche de la liste des sous-catégories 
					$pointer=1;
					unset($list_sub_category,$list_category,$list_category_id);
					$categ = mysqli_real_escape_string($mysqli,$row_2['category_category']);
					$query_sub_categ = mysqli_query($mysqli,"SELECT * FROM $ep_category_tablename
					where category_category = '$categ' 
            and category_group_id = '$row_group[category_group_id]'
					ORDER BY category_sub_category");
					while ($row_sub_categ = mysqli_fetch_array($query_sub_categ) )
					{
  					if ($row_sub_categ['category_category']==$row_sub_categ['category_sub_category'])
  					{
						  $list_sub_category[0] = $row_sub_categ['category_sub_category'];
						  $list_category[0] = $row_sub_categ['category_category'];
						  $list_category_id[0] = $row_sub_categ['category_id'];
  					}
            else
            {
						  $list_sub_category[$pointer] = $row_sub_categ['category_sub_category'];
						  $list_category[$pointer] = $row_sub_categ['category_category'];
						  $list_category_id[$pointer] = $row_sub_categ['category_id'];
   						$pointer++;
						}
					}   
					if ($pointer > 1)//s'il y a plusieurs sous-categories
					{
						echo "<tr><td  class='td_cat' ><table width=100% height=20><tr heigh=20><td width=100% valign=top>";
						echo "<SCRIPT language='JavaScript'>\n";
						echo "function Lien_$x()\n {";
						echo "i = document.Choix_$x.Liste_$x.selectedIndex;";
						echo "url = document.Choix_$x.Liste_$x.options[i].value;\n";
						echo "window.location.replace(url);}";
						echo "</SCRIPT>";
						echo "<FORM NAME='Choix_$x' class='sub_cat'>";
						//echo "<fieldset style='border: 0px; padding:0px; text-align:left; height:12'  >";
						//echo "<SELECT NAME='Liste_$x' onChange='Lien_$x(Choix_$x)' class=choix >";
						echo "<fieldset style='border: 0px; padding:0px; text-align:left; height:10' >";
						echo "<SELECT NAME='Liste_$x' onChange='Lien_$x(Choix_$x)' class=sub_cat >";
						
						$x++;
	  					for ($count=0;$count<count($list_category_id) ;$count++)
	  					{
							$categ = stripslashes($list_sub_category[$count]);
	      					if ($list_category[$count]==$list_sub_category[$count])
	      					{
	        				echo "<OPTION VALUE='signets_lire.php?category_id=$list_category_id[$count]' SELECTED>
									  $list_sub_category[$count] </OPTION>\n";
				              	echo "<OPTION VALUE='signets_lire.php?category_id=$list_category_id[$count]'>
									*$categ</OPTION>\n";
	      					}
	      					else
	      					{
	      	   					echo "<OPTION VALUE='signets_lire.php?category_id=$list_category_id[$count]'>
									 $categ</OPTION>\n";
	      					}
	  					}
						echo "</select></form></fieldset></td></tr></td></tr></table>\n";
					}
					else
					{
						// chaque ligne du tableau
						echo "<tr><td class='td_cat'><span class='a_categorie'><A HREF=".$_SERVER['PHP_SELF']."?category_id=".$row_2['category_id']."&titre=".$row_2['category_category'].">".
						"$row_2[category_category]</a></span>"; 
						echo "</td></tr>\n";
					}
				
				}
			echo "</td></table></tr>";
			}
			echo "</td></tr></table>";
		} //fin boucle groupes
		echo "</tr><tr></table>";
    if (!isset($_SESSION['utilisateur']) or $_SESSION['utilisateur'] != $curDir)
    { 
      break ;
    }
    else
    {
      ($protection==0)?print "Groupes privés : <br />" : print "";
    }
	}//fin boucle privé/public
  
}
function affichage_des_groupes_mixte($ep_category_tablename,$curDir)
{
	global $mysqli;
	require_once("../mysql_connexion/mysql_connexion.php");	// On veut afficher les groupes, mais si on liste la table catégorie les mêmes
	// nom de groupe reviennent plusieurs fois, il faut vérifer à chaque afffichage
	// que le groupe n'a pas déjà été affiché
	// VOIR la structure de la table des catégories
	// Requête qui donne les enregistrements classé par nom de groupe croissant
	global $first_group_id;
  echo "<table width=100%><tr><td class='td_cat_titre' width=100%>";
	$result =  $mysqli->query("select distinct category_group,category_group_id , category_group_private_flag
		from $ep_category_tablename
	    order by category_group_private_flag,  category_group_column_number asc") or mysql_die();
  $pointer=0;
	while ($row=mysqli_fetch_array($result))
	    {
	    	if ($row['category_group_private_flag']==0 or (isset($_SESSION['utilisateur']) and $_SESSION['utilisateur'] == $curDir))
			  {
		       echo "<a href='?group_id=$row[category_group_id]'> ".stripslashes($row['category_group'])."</a>&nbsp;&nbsp; ";
		       $pointer++;
		       if ($pointer == 1)
		       {
              $first_group_id = $row['category_group_id'];
           }
		    }
	    }
	echo "</td></tr></table>";
}
//--------------------------------------------------------------------
function affichage_des_groupes_menu($ep_category_tablename,$curDir)
{
	global $mysqli;
	require_once("../mysql_connexion/mysql_connexion.php");
   echo "<table width=100% cellspacing=3><tr>";
	// On veut afficher les groupes, mais si on liste la table catégorie les mêmes
	$result_1 = $mysqli->query("select distinct category_group,category_group_id , category_group_private_flag
		from $ep_category_tablename
	    order by category_group_private_flag,  category_group_column_number asc") or mysql_die();
	$x="";   
	while ($row_1=mysqli_fetch_array($result_1))
	    {
	    	if ($row_1['category_group_private_flag']==0 or (isset($_SESSION['utilisateur']) and $_SESSION['utilisateur'] == $curDir))
			  {
					unset($list_category_all);
		      //affichage de toutes les categories du groupe
					$list_category_all[0] = " ".$row_1['category_group']."|||";
          $pointer=1;
					$query_2 = $mysqli->query("SELECT * FROM $ep_category_tablename
					where category_group_id = '$row_1[category_group_id]' 
					ORDER BY category_category, category_sub_category");
					echo "<div class='alignCenter'>";
					while ($row_2 = mysqli_fetch_array($query_2) )
					{
  					if ($row_2['category_category']==$row_2['category_sub_category'])
  					{
						  $list_category_all[$pointer] = $row_2['category_category']." |||".$row_2['category_id'];
   						$pointer++;
  					}
            else
            {
						  $list_category_all[$pointer] = 
                    $row_2['category_category']."/".$row_2['category_sub_category']." |||".$row_2['category_id'];
   						$pointer++;
						}
					}
						sort($list_category_all);
						echo "<td  class='td_cat_titre'>";
						echo "<SCRIPT language='JavaScript'>\n";
						echo "function Lien_$x()\n {";
						echo "i = document.Choix_$x.Liste_$x.selectedIndex;";
						echo "url = document.Choix_$x.Liste_$x.options[i].value;\n";
						echo "window.location.replace(url);}";
						echo "</SCRIPT>";
						echo "<FORM NAME='Choix_$x' >";
						echo "<fieldset style='border: 0px; padding:0px; text-align:left; height:12'>";
						echo "<SELECT NAME='Liste_$x' onChange='Lien_$x(Choix_$x)'  class='asc_menu'  >";
						
						$x++;
						/*
	  					for ($count=0;$count<count($list_category_id) ;$count++)
	  					{
  							if (($list_category[$count] == $list_sub_category[$count]) or ($count==0))
  							{
                    $categ = stripslashes($list_category[$count]);
                }
                else
  							{
                    $categ = stripslashes($list_category[$count])." / ".stripslashes($list_sub_category[$count]);
                }              
 	   					echo "<OPTION VALUE='signets_lire.php?category_id=$list_category_id[$count]'>$categ</OPTION>\n";
	  					}
	  					*/
	  					for ($count=0;$count<count($list_category_all) ;$count++)
	  					{
                $categ_start = strpos($list_category_all[$count],"|||");	  					  
                $categ_id = substr($list_category_all[$count],$categ_start+3,10);
                $categ =  substr($list_category_all[$count],0,$categ_start); 
 	   					  echo "!".$list_category_all[$count];
 	   					  echo "<OPTION VALUE='signets_lire.php?category_id=$categ_id'>$categ</OPTION>\n";
	  					}
						echo "</fieldset></select></form></div></td>";
	    }
    }
	echo "</tr></table></div>";
}
//--------------------------------------------------------------------
function affichage_des_categories_b($ep_category_tablename)
{
	global $mysqli;
	require_once("../mysql_connexion/mysql_connexion.php");
	global $first_group_id;
	$x=0;
  if (isset($_REQUEST['group_id']))
	{
		$nb_group_id=$_REQUEST['group_id'] ;
		$_SESSION['group_id'] = $nb_group_id ;
	}
	else
	{
	    if (isset($_SESSION['group_id']))
	    {
	    	$nb_group_id  = $_SESSION['group_id']  ;
		  }
		else
		  {
			$nb_group_id= $first_group_id ;
		  }
	}
				$result_2 = $mysqli->query("select * from  $ep_category_tablename 
			    where category_group_id = $nb_group_id 
				group by category_category order by category_category ");
				while($row_2 = mysqli_fetch_array($result_2))
				{  //recherche de la liste des sous-catégories 
					$pointer=1;
					$categ = mysqli_real_escape_string($mysqli,$row_2['category_category']);
					unset($list_sub_category,$list_category,$list_category_id);
					$query_sub_categ = $mysqli->query("SELECT * FROM $ep_category_tablename
					where category_category = '$categ' 
					ORDER BY category_sub_category");
					while ($row_sub_categ = mysqli_fetch_array($query_sub_categ) )
					{
	  					if ($row_sub_categ['category_category']==$row_sub_categ['category_sub_category'])
	  					{
							  $list_sub_category[0] = $row_sub_categ['category_sub_category'];
							  $list_category[0] = $row_sub_categ['category_category'];
							  $list_category_id[0] = $row_sub_categ['category_id'];
	  					}
	            		else
	           			{
							  $list_sub_category[$pointer] = $row_sub_categ['category_sub_category'];
							  $list_category[$pointer] = $row_sub_categ['category_category'];
							  $list_category_id[$pointer] = $row_sub_categ['category_id'];
	   						$pointer++;
						}
					}   
					if ($pointer > 1)//s'il y a plusieurs sous-categories
					{
						echo "<tr><td  class='td_cat' ><table width=100% height=20><tr heigh=20><td width=100% valign=top>";
						echo "<SCRIPT language='JavaScript'>\n";
						echo "function Lien_$x()\n {";
						echo "i = document.Choix_$x.Liste_$x.selectedIndex;";
						echo "url = document.Choix_$x.Liste_$x.options[i].value;\n";
						echo "window.location.replace(url);}";
						echo "</SCRIPT>";
						echo "<FORM NAME='Choix_$x' class='sub_cat'>";
						echo "<fieldset style='border: 0px; padding:0px; text-align:left; height:12'>";
						//echo "<SELECT NAME='Liste_$x' onChange='Lien_$x(Choix_$x)' class=choix >";
						echo "<SELECT NAME='Liste_$x' onChange='Lien_$x(Choix_$x)' class=sub_cat >";
						
						$x++;
	  					for ($count=0;$count<count($list_category_id) ;$count++)
	  					{
							$categ = stripslashes($list_sub_category[$count]);
	      					if ($list_category[$count]==$list_sub_category[$count])
	      					{
	        				echo "<OPTION VALUE='signets_lire.php?category_id=$list_category_id[$count]' SELECTED>
									  $list_sub_category[$count] </OPTION>\n";
				              	echo "<OPTION VALUE='signets_lire.php?category_id=$list_category_id[$count]'>
									*$categ</OPTION>\n";
	      					}
	      					else
	      					{
	      	   					echo "<OPTION VALUE='signets_lire.php?category_id=$list_category_id[$count]'>
									 $categ</OPTION>\n";
	      					}
	  					}
						echo "</fieldset></select></form><br /></td></tr></table></td></tr>\n";
					}
					else
					{
						// chaque ligne du tableau
						echo "<tr><td class='td_cat'>";
						echo "<span class='a_categorie'><A HREF=".$_SERVER['PHP_SELF']."?category_id=".$row_2['category_id']."&titre=".$row_2['category_category'].">"
						."$row_2[category_category]</a></span><br />"; 
						echo "</td></tr>\n";
					}
				
				}
}
function affichage_des_signets($ep_url_tablename,$ep_category_tablename,$title,$curDir)
{
	global $mysqli;
	require_once("../mysql_connexion/mysql_connexion.php");
	//<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx-->
	//affichage des signets les plus récents
	if ((!isset($_REQUEST['category_id']) or isset($_REQUEST['favoris'])) 
			and !isset($_REQUEST['random']) and !isset($_REQUEST['cherche_texte'])
			and !isset($_REQUEST['recents']) )
	//les signets favoris tant qu'on n'a pas cliqué sur une categorie
	{
	$result = $mysqli->query("SELECT * FROM $ep_url_tablename
		where url_favorite = 1
		and url_approved = 1 and url_verif_flag >0 and url_hibernate = 0 order by url_title");
	show_url_list($result,1000,$curDir);
	}	  
	//affiche les signets récents
	if (isset($_REQUEST['recents']))
	{
		$query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename 
			where url_category_id = category_id 
				and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_registerdate desc limit 10";
		$result = mysqli_query($mysqli,$query) or mysql_die();
		show_url_list($result,10,$curDir);
   }  
	//affiche les signets quand on a cliqué sur une catégorie
	if (isset($_REQUEST['category_id']))
	{
		$category_id = $_REQUEST['category_id'];
		//on a clique sur une liste sans la dérouler (ou pas de liste), on affiche toutes les sous-catégories
		//recherche de la catégorie
		$query_2 = "SELECT * FROM $ep_category_tablename where category_id = '$category_id' ";
		$result_2 = mysqli_query($mysqli,$query_2);
		$row_2=mysqli_fetch_array($result_2);
		if ($row_2['category_category'] == $row_2['category_sub_category'])
		{
			$categ = mysqli_real_escape_string($mysqli,$row_2['category_category']);
			$query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename 
				where url_category_id = category_id 
					and category_category = '$categ' 
					and url_approved = 1  and url_hibernate = 0  and url_verif_flag>0 order by url_title";
			$result = mysqli_query($mysqli,$query);
		}	
		else
		{
			$query = "SELECT * FROM $ep_url_tablename where url_category_id = '$category_id' 
			and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_title";
			$result = mysqli_query($mysqli,$query);
		}
		show_url_list($result,1000,$curDir);
	}
	//affichae de 10 signets au hasard
	if (isset($_REQUEST['random']))
	{    
  	// echo "</td><td>";// <!--Debut cellule R2 pour tableau central -->";
  	unset($_REQUEST['random']);
  	$query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename 
  		where url_category_id = category_id 
  		and category_group_private_flag=0
  		and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_title";
  	$result = mysqli_query($mysqli,$query);
  	srand(date("s"));
  	mysqli_data_seek($result, rand(0, mysqli_num_rows($result) - 1)); 
  	show_url_list($result,10,$curDir);
	}
	//affichage des signets issus de la recherche interne
	if (isset($_REQUEST['cherche_texte']))
	{
		$recherche_texte = $_REQUEST['cherche_texte'];
		/*
    $result = mysql_query("select * from $ep_url_tablename
		WHERE MATCH (url_sub_title, url_title,url,url_description,url_hidden_description) AGAINST ('$recherche_texte') 
			and url_approved = 1 and url_verif_flag > 0  and url_hibernate = 0 ") or mysql_die();
    */
		$query_cherche_texte = "select * from $ep_url_tablename
		WHERE url_hidden_description LIKE '%$recherche_texte%'
        OR url_sub_title LIKE '%$recherche_texte%' 
        OR url_title LIKE '%$recherche_texte%'
        OR url  LIKE '%$recherche_texte%'
        OR url_description LIKE '%$recherche_texte%'" ; 
		$result = mysqli_query($mysqli,$query_cherche_texte)
        or die (mysqli_error());
    show_url_list($result,1000,$curDir);
	}
}

function show_url_list($result,$nb_records,$curDir)
{
	global $mysqli;
	require_once("../mysql_connexion/mysql_connexion.php");
	global $point;
	$i=0;
	while ($row=mysqli_fetch_array($result) and $i<$nb_records)
	{
		//si l'adresse du site commence par http:// cette entête a été enlevée en ajout_signet_3 ligne 95 on remet donc dans ce cas l'entête enlevée 
		if (substr($row['url'],0,4) == "http") 
		{
			$url_header = "";
		}
		else
		{
			$url_header = "http://";
		}
		$i++;
		echo $point."<a href=".$url_header.stripslashes($row['url'])." target='_blank'><span class=lien_site>".ltrim(stripslashes($row['url_title']))."</span></a><font size=-1> ".ltrim(stripslashes($row['url_sub_title']))."\n</font>";
		if ($row['url_description'])
		{
			echo "<br /><font size=-2>".nl2br(ltrim(stripslashes($row['url_description'])))."</font>";
		}
		echo "</style><span class='ref_et_date'> réf $row[url_id] - date $row[url_registerdate]</span>\n";
		if (isset($_SESSION['utilisateur']) and $_SESSION['utilisateur'] == $curDir)
		{
			echo "<a href=../signets_modif/modif_signet.php?url_id=$row[url_id]  ><span class=admin_bleu>Modif</span></a>&nbsp;
			<a href=../signets_efface/efface_signet.php?url_id=$row[url_id]  ><span class=admin_rouge>Sup</span></a>\n";
		}
		echo "<br />";
	}
}
function footer($curDir)
{
	global $mysqli;
	require_once("../mysql_connexion/mysql_connexion.php");
    // champ de recherche google
    ?>
    <tr><td align=center><br>
    <FORM name=google method=GET action='http://www.google.fr/search'><A HREF='http://www.google.fr'>
    <IMG SRC='http://www.google.com/logos/Logo_25gry.gif' border='0' ALT='Google' align='absmiddle'></A>
    <INPUT TYPE=text name=q size=18 maxlength=255 value=''>
    <INPUT TYPE=hidden name=hl value=fr>
    </td></tr></td><td>
    <?php 
    require ("../pied_de_page/pied_de_page.php");
}
